%define name		oro
%define full_name	jakarta-%{name}
%define version		2.0.8
%define release		1jpp_1rh
%define section		free

Name:           %{name}
Version:        %{version}
Release:        %{release}
Epoch:		0
Summary:        Full regular expressions API
License:        Apache License
Group:          Development/Java
Source0:        %{full_name}-%{version}.tar.gz
URL:            http://jakarta.apache.org/%{name}
BuildRequires:  ant, jpackage-utils > 1.4
Buildarch:      noarch
Buildroot:      %{_tmppath}/%{name}-%{version}-buildroot
#Vendor:         JPackage Project
#Distribution:   JPackage

%description
The Jakarta-ORO Java classes are a set of text-processing Java classes
that provide Perl5 compatible regular expressions, AWK-like regular
expressions, glob expressions, and utility classes for performing
substitutions, splits, filtering filenames, etc. This library is the
successor to the OROMatcher, AwkTools, PerlTools, and TextTools
libraries from ORO, Inc. (www.oroinc.com). They have been donated to the
Jakarta Project by Daniel Savarese (www.savarese.org), the copyright
holder of the ORO libraries. Daniel will continue to participate in
their development under the Jakarta Project.

%package javadoc
Group:          Development/Java
Summary:        Javadoc for %{name}

%description javadoc
Javadoc for %{name}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n %{full_name}-%{version}
# remove all binary libs
find . -name "*.jar" -exec rm -f {} \;
# remove all CVS files
for dir in `find . -type d -name CVS`; do rm -rf $dir; done
for file in `find . -type f -name .cvsignore`; do rm -rf $file; done

%build
ant -Dfinal.name=%{name} jar javadocs

%install
#jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 %{name}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)
#javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
rm -rf docs/api

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COMPILE ISSUES README TODO CHANGES CONTRIBUTORS LICENSE STYLE
%{_javadir}/*.jar

%files javadoc
%defattr(-,root,root)
%{_javadocdir}/%{name}-%{version}

%changelog
* Thu Mar  4 2004 Frank Ch. Eigler <fche@redhat.com> 2.0.8-1jpp_1rh
- RH vacuuming

* Fri Jan 02 2004 Henri Gomez <hgomez@users.sourceforge.net> 2.0.8-1jpp
- oro 2.0.8

* Tue Mar 25 2003 Nicolas Mailhot <Nicolas.Mailhot (at) JPackage.org> 2.0.7-1jpp
- oro 2.0.7
- for jpackage-utils 1.5

* Wed Jul 10 2002 Henri Gomez <hgomez@users.sourceforge.net> 2.0.6-1jpp
- oro 2.0.6

* Tue Jul 02 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.0.4-7jpp
- section macro
- use sed instead of bash 2.x extension in link area to make spec compatible with distro using bash 1.1x

* Fri Jan 18 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.0.4-6jpp 
- versioned dir for javadoc
- no dependencies javadoc package

* Sat Dec 1 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.0.4-5jpp
- javadoc in javadoc package
- official summary

* Wed Nov 21 2001 Christian Zoffoli <czoffoli@littlepenguin.org> 2.0.4-4jpp
- removed packager tag
- new jpp extension

* Sun Sep 30 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.0.4-3jpp
- more macros

* Wed Sep 26 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.0.4-2jpp
- first unified release
- s/jPackage/JPackage

* Sun Aug 26 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.0.4-1mdk
- 2.0.4
- vendor tag
- packager tag
- s/Copyright/License/
- truncated description to 72 columns in spec
- spec cleanup
- used versioned jar
- used new source packaging policy

* Sat Feb 17 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.0.1-3mdk
- spec cleanup
- changelog correction

* Sun Feb 04 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.0.1-2mdk
- merged with Henri Gomez <hgomez@users.sourceforge.net> specs:
- changed name to oro
-  changed javadir to /usr/share/java
-  dropped jdk & jre requirement
-  added Jikes support
- changed jar name to oro.jar
- corrected doc
- more macros

* Sun Jan 14 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.0.1-1mdk
- first Mandrake release
